-- 基础信息
base_info = {
	group_id = 247008015
}

-- DEFS_MISCS
local GroupId = 247008015
local point_id_list = {}
local MainGroupID = 247008001
local RegionID = 15001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 15001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 160.040, y = 0.103, z = 320.011 } }
}

-- 触发器
triggers = {
	{ config_id = 1015001, name = "ENTER_REGION_15001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 15002, pos = { x = 156.106, y = 0.160, z = 327.678 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 15003, pos = { x = 164.190, y = 0.158, z = 327.624 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 15004, pos = { x = 160.085, y = 0.154, z = 328.569 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 15005, pos = { x = 152.929, y = 0.174, z = 326.463 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 15006, pos = { x = 167.149, y = 0.168, z = 326.022 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 15007, pos = { x = 151.709, y = 0.158, z = 323.741 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 15008, pos = { x = 168.817, y = 0.163, z = 323.757 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 15009, pos = { x = 151.457, y = 0.153, z = 320.035 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 15010, pos = { x = 168.918, y = 0.161, z = 320.051 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 15011, pos = { x = 160.119, y = 0.167, z = 328.108 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 15012, pos = { x = 154.334, y = 0.178, z = 327.176 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 15013, pos = { x = 165.811, y = 0.153, z = 327.141 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 15014, pos = { x = 151.390, y = 0.161, z = 322.497 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 15015, pos = { x = 168.941, y = 0.159, z = 322.502 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 15016, pos = { x = 151.405, y = 0.155, z = 317.612 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 15017, pos = { x = 168.847, y = 0.154, z = 317.667 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 15018, pos = { x = 154.383, y = 0.153, z = 312.945 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 15019, pos = { x = 165.740, y = 0.153, z = 312.860 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 15020, pos = { x = 160.021, y = 0.153, z = 312.065 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 15021, pos = { x = 152.905, y = 0.195, z = 327.192 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 15022, pos = { x = 167.185, y = 0.170, z = 327.195 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 15023, pos = { x = 152.908, y = 0.153, z = 312.841 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 15024, pos = { x = 167.108, y = 0.153, z = 312.919 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 15025, pos = { x = 160.210, y = 0.170, z = 327.441 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 15026, pos = { x = 160.012, y = 0.153, z = 312.684 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 15027, pos = { x = 151.931, y = 0.153, z = 320.014 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 15028, pos = { x = 168.306, y = 0.156, z = 319.979 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 15029, pos = { x = 152.036, y = 0.155, z = 315.950 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 15030, pos = { x = 168.004, y = 0.162, z = 323.389 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 15031, pos = { x = 163.443, y = 0.153, z = 312.366 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 15032, pos = { x = 156.191, y = 0.178, z = 327.288 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 15033, pos = { x = 165.195, y = 0.050, z = 315.653 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 16 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 15001 },
		triggers = { "ENTER_REGION_15001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
